| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Attributes

# IG::Neural::NeuralFileConst Class Reference

Constants used in definition of neural networks approximation servers and clients working through file system. More...

List of all members.

## Public Attributes
const string | DirPrefix = "NeuralApproximation_Folder"
const string | LockFileMutex = "IG.Lib.NeuralApproximationFileManager.LockFileMutex"
const string | NeuralNetworkFilename = "neuralnetwork.json"
| File where trained network is stored.
const string | NeuralDataDefinitionFilename = "neuraldatadefinition.json"
| File containing input and output data definitions for neural networks-based approximation.
const string | SimulationDataDefinitionFilename = "simdatadefinition.json"
| File containing input and output data definition for simulators that are used for obtaining neural data definitions.
const string | MappingDefinitionFilename = "mappingdefinition.json"
| File containing input and output mapping definitions.
const string | NeuralTrainingDataFilename = "neuraltrainingdata.json"
| Training data.
const string | NeuralVerificationDataFilename = "neuralverificationdata.json"
| Verification data.
const string | NeuralOptimalTrainingParametersFilename = "optimaltrainingparameters.json"
| Name of the file where optimal training parameters are saved.
const string | NeuralTrainingParametersFilename = "trainingparameters.json"
| Name of the file where sets of training parameters and convergence results are stored.
const string | NeuralTrainingLimitsFilename = "traininglimits.json"
| Name of the file where sets of training limits are stored.
const string | NeuralTrainingResultsFilename = "trainingresults.json"
| Name of the file where sets of training complete results and limits are stored.
const string | NeuralTrainingResultsCSVFilename = "trainingresults.csv"
| Name of the file where sets of training complete results and limits are stored in CSV file.
const string | NeuralInputFilename = "neuralinput.json"
| Default file name of neural networks approximation input file in standard IGLib format.
const string | NeuralInputXmlFilename = "neuralinput.xml"
| Default file name of neural networks approximation input file in XML format.
const string | NeuralOutputFilename = "neuraloutput.json"
| Default file name of neural networks approximation output file in standard IGLib format.
const string | NeuralOutputeXmlFilename = "neuraloutput.xml"
| Default file name of neural networks approximation output file in XML format.
const string | FunctionInputFilename = "functioninput.json"
| Default file name of function input parameters file in standard IGLib format.
const string | FunctiOutputFilename = "functionoutput.json"
| Default file name of function output parameters file in standard IGLib format.
const string | MsgNeuralBusyFilename = "neuralbusy.msg"
| Default file name for neural network approximation busy flag.
const string | MsgNeuralInputReadyFilename = "neuraldataready.msg"
| Default file name for neural network approximation input data ready flag.
const string | MsgNeuralOutputReadyFilename = "neuraloutputready.msg"
| Default file name for neural network approximation results ready flag.
const string | MsgFunctionInputReadyFilename = "functiondataready.msg"
| Default file name for function input parameters data ready flag.
const string | MsgFunctionOutputReadyFilename = "functionoutputready.msg"
| Default file name for function output parameters results ready flag.

## Detailed Description

Constants used in definition of neural networks approximation servers and clients working through file system.

Idea based on constants for optimization file analysis server/client from IOptLib.Net. $A Igor Feb11;

## Member Data Documentation

const string IG::Neural::NeuralFileConst::DirPrefix = "NeuralApproximation_Folder"

const string IG::Neural::NeuralFileConst::LockFileMutex = "IG.Lib.NeuralApproximationFileManager.LockFileMutex"

const string IG::Neural::NeuralFileConst::NeuralNetworkFilename = "neuralnetwork.json"

File where trained network is stored.

const string IG::Neural::NeuralFileConst::NeuralDataDefinitionFilename = "neuraldatadefinition.json"

File containing input and output data definitions for neural networks-based approximation.

const string IG::Neural::NeuralFileConst::SimulationDataDefinitionFilename = "simdatadefinition.json"

File containing input and output data definition for simulators that are used for obtaining neural data definitions.

const string IG::Neural::NeuralFileConst::MappingDefinitionFilename = "mappingdefinition.json"

File containing input and output mapping definitions.

$A tako78 Jul.21

const string IG::Neural::NeuralFileConst::NeuralTrainingDataFilename = "neuraltrainingdata.json"

Training data.

const string IG::Neural::NeuralFileConst::NeuralVerificationDataFilename = "neuralverificationdata.json"

Verification data.

const string IG::Neural::NeuralFileConst::NeuralOptimalTrainingParametersFilename = "optimaltrainingparameters.json"

Name of the file where optimal training parameters are saved.

const string IG::Neural::NeuralFileConst::NeuralTrainingParametersFilename = "trainingparameters.json"

Name of the file where sets of training parameters and convergence results are stored.

const string IG::Neural::NeuralFileConst::NeuralTrainingLimitsFilename = "traininglimits.json"

Name of the file where sets of training limits are stored.

$A Tako78 Aug12;

const string IG::Neural::NeuralFileConst::NeuralTrainingResultsFilename = "trainingresults.json"

Name of the file where sets of training complete results and limits are stored.

$A Tako78 Aug12;

const string IG::Neural::NeuralFileConst::NeuralTrainingResultsCSVFilename = "trainingresults.csv"

Name of the file where sets of training complete results and limits are stored in CSV file.

$A Tako78 Sept12;

const string IG::Neural::NeuralFileConst::NeuralInputFilename = "neuralinput.json"

Default file name of neural networks approximation input file in standard IGLib format.

const string IG::Neural::NeuralFileConst::NeuralInputXmlFilename = "neuralinput.xml"

Default file name of neural networks approximation input file in XML format.

const string IG::Neural::NeuralFileConst::NeuralOutputFilename = "neuraloutput.json"

Default file name of neural networks approximation output file in standard IGLib format.

const string IG::Neural::NeuralFileConst::NeuralOutputeXmlFilename = "neuraloutput.xml"

Default file name of neural networks approximation output file in XML format.

const string IG::Neural::NeuralFileConst::FunctionInputFilename = "functioninput.json"

Default file name of function input parameters file in standard IGLib format.

$A tako78 Jul.21

const string IG::Neural::NeuralFileConst::FunctiOutputFilename = "functionoutput.json"

Default file name of function output parameters file in standard IGLib format.

$A tako78 Jul.21

const string IG::Neural::NeuralFileConst::MsgNeuralBusyFilename = "neuralbusy.msg"

Default file name for neural network approximation busy flag.

const string IG::Neural::NeuralFileConst::MsgNeuralInputReadyFilename = "neuraldataready.msg"

Default file name for neural network approximation input data ready flag.

const string IG::Neural::NeuralFileConst::MsgNeuralOutputReadyFilename = "neuraloutputready.msg"

Default file name for neural network approximation results ready flag.

const string IG::Neural::NeuralFileConst::MsgFunctionInputReadyFilename = "functiondataready.msg"

Default file name for function input parameters data ready flag.

$A tako78 Jul.21

const string IG::Neural::NeuralFileConst::MsgFunctionOutputReadyFilename = "functionoutputready.msg"

Default file name for function output parameters results ready flag.

$A tako78 Jul.21

The documentation for this class was generated from the following file:

- NeuralFileConst.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events